#fndlight.pl: find lines with "light" in them, output page number and phrase
while (<>) {                       # While there's more input to read,
    if (/^AN CDATA/) {             # If a line begins with "AN CDATA"
      chop($_);                    # lose the final carriage return
      $NVal = substr($_,9);        # save characters from 9th to end in $NVal.
    }
    if (/\(PB/) {                  # If we find the beginning of a page break,
      $PageNum = $NVal;            # save the last $NVal value as $PageNum.
    }
    if (/^-/) {                    # If we find a line of data,
      s/\\n/ /g;                   # turn the carriage returns into spaces,
      if (/light/) {               # if it has "light" in it,
        $pos = index($_,"light");              # see where "light" starts,
        $phrase = substr($_,$pos - 30,60);     # save 60 characters around it,
        print "Page $PageNum: $phrase\n";    # print it with identifying text.
      }
   }
}

