# ex3.pl
use SGMLS;
 $parse = new SGMLS(STDIN);                    # Create a new SGMLS object.
 while ($event = $parse->next_event) {         # Get SGMLS_Event objects from it.
    print "event type:" . $event->type . "\n"; # Print type of each event.
    if ($event->type eq "start_element") {     # If the event is the start of an
       $element = $event->data;                # element, save the element and
      print "element type: " . $element->name . "\n";   # print its type name.
       if ($element->name eq "B") {            # If it's a B element,
          $hair = $element->attribute("HAIR"); # save the hair attribute object.
          print "hair value:" . $hair->value . "\n";   # Print attribute's value.
       }
    }
    print "data:" . $event->data . "\n";       # Print each event's data.
 }
 
